
Redmine - Patch #28169

Enable and add underline button to the toolbar for Markdown formatting 

2018-02-09 16:57 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 4.0.0   

Description

Textile formatting has the "Underline" option for text formatting and I find it useful to have it also for Markdown.

The attached patch implements this.

As a side note, until this patch, the '_' was an alternative to '*' (italic), but I don't think that many users were aware by this alternative

because Redmine uses the '*' in help docs and in the generated markup by Italic button.

Related issues:

Related to Redmine - Defect #31929: MarkdownFormatterTest#test_should_support... Closed

Associated revisions

Revision 17385 - 2018-06-16 12:56 - Jean-Philippe Lang

Enable and add underline button to the toolbar for Markdown formatting (#28169).

Patch by Marius BALTEANU.

History

#1 - 2018-02-11 04:58 - Mischa The Evil

- Target version set to Unplanned backlogs

LGTM.

#2 - 2018-02-17 16:35 - Marius BĂLTEANU

- File deleted (0001-enable-and-adds-underline-button-for-markdown-format.patch)

#3 - 2018-02-17 16:41 - Marius BĂLTEANU

- File 0001-enable-and-add-underline-button-for-markdown.patch added

Updated the patch to apply cleanly after r17198. It'll be nice to deliver this feature along with #28119.

#4 - 2018-02-17 22:35 - Mischa The Evil

- Target version changed from Unplanned backlogs to 4.0.0

Marius BALTEANU wrote:

It'll be nice to deliver this feature along with #28119.

 I agree. I don't see any reason why it shouldn't be possible.

#5 - 2018-06-16 12:56 - Jean-Philippe Lang

- Status changed from New to Closed

Patch committed, thanks!

#6 - 2018-06-24 04:24 - Go MAEDA

- Assignee set to Jean-Philippe Lang
https://www.redmine.org/projects/redmine/repository/svn/revisions/17198
https://www.redmine.org/issues/28119
https://www.redmine.org/issues/28119


#7 - 2019-08-20 20:33 - Marius BĂLTEANU

- Related to Defect #31929: MarkdownFormatterTest#test_should_support_underlined_text is declared as private added

Files

0001-enable-and-add-underline-button-for-markdown.patch 100 KB 2018-02-17 Marius BĂLTEANU
